Subject: [hybi] Sub-Registry Protocols that are not exclusive to WebSockets

From: Scott Morgan <[email-masked]>
Date: Thu, 28 Apr 2016 14:15:39 -0500

Hi All,

I just wanted to point out that there is not always a hierarchy between
protocols. For example the protocol I am working on ASBP (Asynchronous
Services Bus Protocol) is intended to be layered on top of any of;

WebSockets

Http/2

Http 1.1

Http 1.0

https://datatracker.ietf.org/doc/draft-adligo-hybi-asbp/?include_text=1

In the ASBP case I would guess that I should register ASBP as a WebSocket
sub protocol, as well as a sub protocol for all of the above protocols.

On the other hand perhaps the title 'Websockets Sub-Protocol Registry'
should be changed to 'Protocols Supported Over WebSockets' in order to
facilitate clarity.

Cheers,

Scott